#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE7,0x41,0x85,0xAD,0x5C,0xD7,0x52,0x7C,0xBD,0x37,0xA2,0x9A,
		0x9A,0x61,0xA8,0x2E,0x62,0x62,0x6B,0x4E,0x02,0x4E,0x23,0x29,
		0x80,0xE2,0xF7,0xC5,0x3C,0xEC,0x36,0x29,0x60,0x56,0x1E,0xBC,
		0x9C,0xCF,0x50,0x44,0xD4,0xF6,0x27,0x87,0x73,0xA1,0x18,0xC1,
		0xAE,0x2D,0x50,0xBD,0x4E,0x38,0xF3,0x42,0xD0,0xF5,0x21,0x50,
		0x1A,0x3A,0x77,0x47,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
